package com.qmth.teachcloud.mark.dto.mark.manage;

import com.qmth.teachcloud.mark.dto.mark.SpecialTagDTO;
import com.qmth.teachcloud.mark.entity.MarkHeaderTag;
import com.qmth.teachcloud.mark.entity.MarkSpecialTag;

public class MarkerSpecialTagDTO extends SpecialTagDTO {

    private static final long serialVersionUID = 4928109012686348307L;

    private Long markerId;

    private int groupNumber;

    public MarkerSpecialTagDTO(Long markerId, int groupNumber, MarkSpecialTag specialTag) {
        super(specialTag);
        this.markerId = markerId;
        this.groupNumber = groupNumber;
    }

    public MarkerSpecialTagDTO(Long markerId, int groupNumber, MarkHeaderTag headerTag) {
        super(headerTag);
        this.markerId = markerId;
        this.groupNumber = groupNumber;
    }

    public Long getMarkerId() {
        return markerId;
    }

    public void setMarkerId(Long markerId) {
        this.markerId = markerId;
    }

    public int getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(int groupNumber) {
        this.groupNumber = groupNumber;
    }

}
